﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MainPage.aspx.cs" Inherits="TestProject.MainPage" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
    <head runat="server">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>ValidationSummary 클래스 사용하기</title>
    </head>
    <body>
        <form id="form" runat="server">
            <div>
                <h3>유효성 검사 요약 컨트롤</h3>
                아이디 :
                <asp:TextBox ID="userIDTextBox" runat="server" />
                <asp:RequiredFieldValidator ID="userIDRequiredFieldValidator" runat="server" 
                    ControlToValidate="userIDTextBox"
                    Display="None"
                    ErrorMessage="아이디를 입력해주시 바랍니다.">
                </asp:RequiredFieldValidator>            
                <br />
                암호 :
                <asp:TextBox ID="passwordTextBox" runat="server" 
                    TextMode="Password">
                </asp:TextBox>
                <asp:RequiredFieldValidator ID="passwordRequiredFieldValidator" runat="server" 
                    ControlToValidate="passwordTextBox"
                    Display="None"
                    ErrorMessage="암호를 입력해주시기 바랍니다.">
                </asp:RequiredFieldValidator>
                <hr />
                <asp:LinkButton ID="loginLinkButton" runat="server">
                    로그인
                </asp:LinkButton>
                <br />
                <asp:ValidationSummary ID="validationSummary" runat="server"
                    ShowMessageBox="true"
                    ShowSummary="true"
                    DisplayMode="BulletList" />
            </div>
        </form>
    </body>
</html>